# List quotas

**GET /v1/quotas**

List client quotas. Use filter parameters to narrow results by entity type and filter criteria.


## Servers
- Data Plane API: https://{dataplane_api_subdomain}.cloud.redpanda.com (Data Plane API)


## Authentication methods
- Auth0


## Parameters


### Query parameters
- **filter.entity_type** (string)
  The type of entity to filter by. If  unspecified, all entities will be returned.

   - ENTITY_TYPE_USER: Not supported in Redpanda
   - ENTITY_TYPE_IP: Not supported in Redpanda
- **filter.entity_name** (string)
  Filter by entity name. If unspecified will return all entities for specified entity type.
- **filter.match_default** (boolean)
  If true, the entity_name will match the default entity (e.g., default client-id).
- **page_size** (integer(int32))
  Limit the paginated response to a number of items. Defaults to 100. Use -1 to disable pagination.
- **page_token** (string)
  Value of the next_page_token field returned by the previous response. If not provided, the system assumes the first page is requested.


## Responses
### 200
OK

#### Body: application/json (object)
- **page_token** (string)
  Token to retrieve the next page of results. If empty, there are no more results.
- **quotas** (array[object])


### 401
Unauthenticated.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### 500
Internal Server Error. Reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### default
An unexpected error response.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
